Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.module
Class AbstractEnumeratedModuleIdentifier

    java.lang.Object
      |
      +--uk.ac.man.bioinf.util.AbstractEnumeration
            |
            +--uk.ac.man.bioinf.module.AbstractEnumeratedModuleIdentifier

All Implemented Interfaces:
  ModuleIdentifier

Direct Known Subclasses:
  CinemaBootIdentifier, CinemaColorIdentifier, CinemaCommandLineParserIdentifier, CinemaConsensusIdentifier, CinemaCoreIdentifier, CinemaGroupIdentifier, CinemaModuleCoreIdentifier, CinemaMotifIdentifier, CinemaSharedIdentifier, CinemaUtilityIdentifier, SequenceInputModuleIdentifier, SequenceOutputModuleIdentifier, XMLBootIdentifier

public abstract class AbstractEnumeratedModuleIdentifier
extends AbstractEnumeration
implements ModuleIdentifier

AbstractEnumeratedModuleIdentifier.java Created: Sun May 7 17:42:13 2000

Version:
  $Id: AbstractEnumeratedModuleIdentifier.java,v 1.4 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Nested Class Summary

Nested classes inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`AbstractEnumeration.ElementIterator`

Field Summary

Fields inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`ord`

Constructor Summary
`AbstractEnumeratedModuleIdentifier(String className, String toString)`
`AbstractEnumeratedModuleIdentifier(String className, String toString, boolean isInterface)`

Method Summary
`static ModuleIdentifier[]` | `getAllIdentifiers(Class cla)`
`String` | `getClassName()` Returns the string of the class name.
`String` | `getModuleName()` Returns the name of the module being defined.
`boolean` | `isInterface()` Returns whether this module is an interface.
`String` | `toString()`

Methods inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`getAllElements, getSize, iterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractEnumeratedModuleIdentifier

    public AbstractEnumeratedModuleIdentifier(String className,
                                              String toString)

### AbstractEnumeratedModuleIdentifier

    public AbstractEnumeratedModuleIdentifier(String className,
                                              String toString,
                                              boolean isInterface)

Method Detail

### getAllIdentifiers

    public static ModuleIdentifier[] getAllIdentifiers(Class cla)

### getModuleName

    public String getModuleName()

  Description copied from interface: `ModuleIdentifier`
  Returns the name of the module being defined.

  Specified by:
    `getModuleName` in interface `ModuleIdentifier`
  Returns:
    the name

### getClassName

    public String getClassName()

  Description copied from interface: `ModuleIdentifier`
  Returns the string of the class name.

  Specified by:
    `getClassName` in interface `ModuleIdentifier`
  Returns:
    the class name

### isInterface

    public boolean isInterface()

  Description copied from interface: `ModuleIdentifier`
  Returns whether this module is an interface.

  Specified by:
    `isInterface` in interface `ModuleIdentifier`
  Returns:
    whether this module is an interface.

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractEnumeration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD